Bug 177796 - [PATCH] mail/py-spf: fix options dialog issue and etc.
Summary: [PATCH] mail/py-spf: fix options dialog issue and etc.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-12 03:00 UTC by Yasuhiro Kimura
Modified: 2013-05-06 19:20 UTC (History)
0 users

See Also:


Attachments
patch-py-spf (712 bytes, text/plain)
2013-04-12 03:00 UTC, Yasuhiro Kimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2013-04-12 03:00:00 UTC

Fix: - Fix issue that options dailog is popd up even if sava file already exists.
	- Add license information.
	- Trim makefile header
Comment 1 Edwin Groothuis freebsd_committer 2013-04-15 03:05:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-05-06 19:14:38 UTC
Author: sunpoet
Date: Mon May  6 18:14:30 2013
New Revision: 317536
URL: http://svnweb.freebsd.org/changeset/ports/317536

Log:
  - Add LICENSE
  - Fix OPTIONSFILE issue
  
  PR:		ports/177796
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Modified:
  head/mail/py-spf/Makefile

Modified: head/mail/py-spf/Makefile
==============================================================================
--- head/mail/py-spf/Makefile	Mon May  6 18:10:35 2013	(r317535)
+++ head/mail/py-spf/Makefile	Mon May  6 18:14:30 2013	(r317536)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	py-spf
-# Date created:				26 Dec 2004
-# Whom:					Marcus Alves Grando <mnag@FreeBSD.org>
-#
+# Created by: Marcus Alves Grando <mnag@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	spf
 PORTVERSION=	2.0.7
@@ -15,9 +11,12 @@ DISTNAME=	py${PORTNAME}-${PORTVERSION}
 MAINTAINER=	sunpoet@FreeBSD.org
 COMMENT=	Python implementation of the RFC 4408 SPF protocol
 
+LICENSE=	PSFL
+
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}dns>=0:${PORTSDIR}/dns/py-dns
 
 OPTIONS_DEFINE=	DOCS
+OPTIONSFILE=	${PORT_DBDIR}/py-${PORTNAME}/options
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Po-Chuan Hsieh freebsd_committer 2013-05-06 19:15:00 UTC
State Changed
From-To: open->closed

Committed. Thanks!